Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.text
Class OdfMetaFieldElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.text.OdfMetaFieldElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfMetaField

    public abstract class OdfMetaFieldElement

extends OdfElement

DOM implementation of OpenDocument element text:meta-field.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfMetaFieldElement(OdfFileDom aOwnerDoc)` Create the instance of OdfMetaFieldElement

Method Summary
`OdfAlphabeticalIndexMarkElement` | `createAlphabeticalIndexMarkElement(String stringValue)` Create child element text:alphabetical-index-mark.
`OdfAlphabeticalIndexMarkEndElement` | `createAlphabeticalIndexMarkEndElement(String id)` Create child element text:alphabetical-index-mark-end.
`OdfAlphabeticalIndexMarkStartElement` | `createAlphabeticalIndexMarkStartElement(String id)` Create child element text:alphabetical-index-mark-start.
`OdfAnnotationElement` | `createAnnotationElement()` Create child element office:annotation.
`OdfAnnotationEndElement` | `createAnnotationEndElement(String name)` Create child element office:annotation-end.
`OdfAuthorInitialsElement` | `createAuthorInitialsElement()` Create child element text:author-initials.
`OdfAuthorNameElement` | `createAuthorNameElement()` Create child element text:author-name.
`OdfBibliographyMarkElement` | `createBibliographyMarkElement(OdfBibliographyType bibliographyType)` Create child element text:bibliography-mark.
`OdfBookmarkElement` | `createBookmarkElement(String name)` Create child element text:bookmark.
`OdfBookmarkEndElement` | `createBookmarkEndElement(String name)` Create child element text:bookmark-end.
`OdfBookmarkStartElement` | `createBookmarkStartElement(String name)` Create child element text:bookmark-start.
`OdfCaptionElement` | `createCaptionElement()` Create child element draw:caption.
`OdfChapterElement` | `createChapterElement(OdfChapterDisplayType display, OdfNonNegativeInteger outlineLevel)` Create child element text:chapter.
`OdfCircleElement` | `createCircleElement()` Create child element draw:circle.
`OdfConditionalTextElement` | `createConditionalTextElement(String condition, String stringValueIfTrue, String stringValueIfFalse)` Create child element text:conditional-text.
`OdfConnectorElement` | `createConnectorElement(Integer viewBox)` Create child element draw:connector.
`OdfControlElement` | `createControlElement(OdfId control)` Create child element draw:control.
`OdfCreationDateElement` | `createCreationDateElement()` Create child element text:creation-date.
`OdfCreationTimeElement` | `createCreationTimeElement()` Create child element text:creation-time.
`OdfCreatorElement` | `createCreatorElement()` Create child element text:creator.
`OdfCustomShapeElement` | `createCustomShapeElement()` Create child element draw:custom-shape.
`OdfDatabaseDisplayElement` | `createDatabaseDisplayElement(String tableName, String columnName)` Create child element text:database-display.
`OdfDatabaseNameElement` | `createDatabaseNameElement(String tableName)` Create child element text:database-name.
`OdfDatabaseNextElement` | `createDatabaseNextElement(String tableName)` Create child element text:database-next.
`OdfDatabaseRowNumberElement` | `createDatabaseRowNumberElement(String tableName)` Create child element text:database-row-number.
`OdfDatabaseRowSelectElement` | `createDatabaseRowSelectElement(String tableName)` Create child element text:database-row-select.
`OdfDateElement` | `createDateElement()` Create child element text:date.
`OdfDateTimeElement` | `createDateTimeElement()` Create child element presentation:date-time.
`OdfDdeConnectionElement` | `createDdeConnectionElement(String connectionName)` Create child element text:dde-connection.
`OdfDescriptionElement` | `createDescriptionElement()` Create child element text:description.
`OdfHyperlinkElement` | `createdrawHyperlinkElement(OdfAnyURI href)` Create child element draw:a.
`OdfMeasureElement` | `createdrawMeasureElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:measure.
`OdfEditingCyclesElement` | `createEditingCyclesElement()` Create child element text:editing-cycles.
`OdfEditingDurationElement` | `createEditingDurationElement()` Create child element text:editing-duration.
`OdfEllipseElement` | `createEllipseElement()` Create child element draw:ellipse.
`OdfExecuteMacroElement` | `createExecuteMacroElement()` Create child element text:execute-macro.
`OdfExpressionElement` | `createExpressionElement()` Create child element text:expression.
`OdfFileNameElement` | `createFileNameElement()` Create child element text:file-name.
`OdfFooterElement` | `createFooterElement()` Create child element presentation:footer.
`OdfFrameElement` | `createFrameElement()` Create child element draw:frame.
`OdfGroupElement` | `createGroupElement()` Create child element draw:g.
`OdfHeaderElement` | `createHeaderElement()` Create child element presentation:header.
`OdfHiddenParagraphElement` | `createHiddenParagraphElement(String condition)` Create child element text:hidden-paragraph.
`OdfHiddenTextElement` | `createHiddenTextElement(String condition, String stringValue)` Create child element text:hidden-text.
`OdfInitialCreatorElement` | `createInitialCreatorElement()` Create child element text:initial-creator.
`OdfKeywordsElement` | `createKeywordsElement()` Create child element text:keywords.
`OdfLineBreakElement` | `createLineBreakElement()` Create child element text:line-break.
`OdfLineElement` | `createLineElement(OdfLength x1, OdfLength y1, OdfLength x2, OdfLength y2)` Create child element draw:line.
`OdfMetaElement` | `createMetaElement()` Create child element text:meta.
`OdfMetaFieldElement` | `createMetaFieldElement(OdfId xmlid)` Create child element text:meta-field.
`OdfModificationDateElement` | `createModificationDateElement()` Create child element text:modification-date.
`OdfModificationTimeElement` | `createModificationTimeElement()` Create child element text:modification-time.
`OdfNoteElement` | `createNoteElement(OdfNoteClassType noteClass)` Create child element text:note.
`OdfNoteRefElement` | `createNoteRefElement(OdfNoteClassType noteClass)` Create child element text:note-ref.
`OdfPageContinuationElement` | `createPageContinuationElement(OdfPageContiuationSelectType selectPage)` Create child element text:page-continuation.
`OdfPageNumberElement` | `createPageNumberElement()` Create child element text:page-number.
`OdfPageThumbnailElement` | `createPageThumbnailElement()` Create child element draw:page-thumbnail.
`OdfPageVariableGetElement` | `createPageVariableGetElement()` Create child element text:page-variable-get.
`OdfPageVariableSetElement` | `createPageVariableSetElement()` Create child element text:page-variable-set.
`OdfPathElement` | `createPathElement(String d, Integer viewBox)` Create child element draw:path.
`OdfPlaceholderElement` | `createPlaceholderElement(OdfPlaceholderType placeholderType)` Create child element text:placeholder.
`OdfPolygonElement` | `createPolygonElement(String points, Integer viewBox)` Create child element draw:polygon.
`OdfPolylineElement` | `createPolylineElement(String points, Integer viewBox)` Create child element draw:polyline.
`OdfPrintDateElement` | `createPrintDateElement()` Create child element text:print-date.
`OdfPrintedByElement` | `createPrintedByElement()` Create child element text:printed-by.
`OdfPrintTimeElement` | `createPrintTimeElement()` Create child element text:print-time.
`OdfRectElement` | `createRectElement()` Create child element draw:rect.
`OdfReferenceMarkElement` | `createReferenceMarkElement(String name)` Create child element text:reference-mark.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfBoolean concave, OdfPositiveInteger corners)` Create child element draw:regular-polygon.
`OdfRegularPolygonElement` | `createRegularPolygonElement(OdfPositiveInteger corners, OdfBoolean concave)` Create child element draw:regular-polygon.
`OdfRubyElement` | `createRubyElement()` Create child element text:ruby.
`OdfSceneElement` | `createSceneElement()` Create child element dr3d:scene.
`OdfScriptElement` | `createScriptElement()` Create child element text:script.
`OdfSenderCityElement` | `createSenderCityElement()` Create child element text:sender-city.
`OdfSenderCompanyElement` | `createSenderCompanyElement()` Create child element text:sender-company.
`OdfSenderCountryElement` | `createSenderCountryElement()` Create child element text:sender-country.
`OdfSenderEmailElement` | `createSenderEmailElement()` Create child element text:sender-email.
`OdfSenderFaxElement` | `createSenderFaxElement()` Create child element text:sender-fax.
`OdfSenderFirstnameElement` | `createSenderFirstnameElement()` Create child element text:sender-firstname.
`OdfSenderInitialsElement` | `createSenderInitialsElement()` Create child element text:sender-initials.
`OdfSenderLastnameElement` | `createSenderLastnameElement()` Create child element text:sender-lastname.
`OdfSenderPhonePrivateElement` | `createSenderPhonePrivateElement()` Create child element text:sender-phone-private.
`OdfSenderPhoneWorkElement` | `createSenderPhoneWorkElement()` Create child element text:sender-phone-work.
`OdfSenderPositionElement` | `createSenderPositionElement()` Create child element text:sender-position.
`OdfSenderPostalCodeElement` | `createSenderPostalCodeElement()` Create child element text:sender-postal-code.
`OdfSenderStateOrProvinceElement` | `createSenderStateOrProvinceElement()` Create child element text:sender-state-or-province.
`OdfSenderStreetElement` | `createSenderStreetElement()` Create child element text:sender-street.
`OdfSenderTitleElement` | `createSenderTitleElement()` Create child element text:sender-title.
`OdfSequenceElement` | `createSequenceElement(String name)` Create child element text:sequence.
`OdfSequenceRefElement` | `createSequenceRefElement()` Create child element text:sequence-ref.
`OdfSheetNameElement` | `createSheetNameElement()` Create child element text:sheet-name.
`OdfSoftPageBreakElement` | `createSoftPageBreakElement()` Create child element text:soft-page-break.
`OdfSpaceElement` | `createSpaceElement()` Create child element text:s.
`OdfSpanElement` | `createSpanElement()` Create child element text:span.
`OdfSubjectElement` | `createSubjectElement()` Create child element text:subject.
`OdfTabElement` | `createTabElement()` Create child element text:tab.
`OdfTableFormulaElement` | `createTableFormulaElement()` Create child element text:table-formula.
`OdfTemplateNameElement` | `createTemplateNameElement()` Create child element text:template-name.
`OdfHyperlinkElement` | `createtextHyperlinkElement(OdfAnyURI href)` Create child element text:a.
`OdfTextInputElement` | `createTextInputElement()` Create child element text:text-input.
`OdfMeasureElement` | `createtextMeasureElement(OdfKindType kind)` Create child element text:measure.
`OdfTimeElement` | `createTimeElement()` Create child element text:time.
`OdfTitleElement` | `createTitleElement()` Create child element text:title.
`OdfTocMarkElement` | `createTocMarkElement(String stringValue)` Create child element text:toc-mark.
`OdfTocMarkEndElement` | `createTocMarkEndElement(String id)` Create child element text:toc-mark-end.
`OdfTocMarkStartElement` | `createTocMarkStartElement(String id)` Create child element text:toc-mark-start.
`OdfUserDefinedElement` | `createUserDefinedElement()` Create child element text:user-defined.
`OdfUserFieldGetElement` | `createUserFieldGetElement(String name)` Create child element text:user-field-get.
`OdfUserFieldInputElement` | `createUserFieldInputElement(String name)` Create child element text:user-field-input.
`OdfUserIndexMarkElement` | `createUserIndexMarkElement(String stringValue, String indexName)` Create child element text:user-index-mark.
`OdfUserIndexMarkEndElement` | `createUserIndexMarkEndElement(String id)` Create child element text:user-index-mark-end.
`OdfUserIndexMarkStartElement` | `createUserIndexMarkStartElement(String id, String indexName)` Create child element text:user-index-mark-start.
`OdfVariableGetElement` | `createVariableGetElement(String name)` Create child element text:variable-get.
`OdfVariableInputElement` | `createVariableInputElement(String name, OdfValueType valueType)` Create child element text:variable-input.
`OdfVariableSetElement` | `createVariableSetElement(OdfValueType valueType, Double value, String name)` Create child element text:variable-set.
`OdfVariableSetElement` | `createVariableSetElement(OdfValueType valueType, OdfBoolean booleanValue, String name)` Create child element text:variable-set.
`OdfVariableSetElement` | `createVariableSetElement(OdfValueType valueType, OdfDate dateValue, String name)` Create child element text:variable-set.
`OdfVariableSetElement` | `createVariableSetElement(OdfValueType valueType, OdfDuration timeValue, String name)` Create child element text:variable-set.
`OdfVariableSetElement` | `createVariableSetElement(OdfValueType valueType, String name)` Create child element text:variable-set.
`String` | `getDataStyleName()` Get value of attribute style:data-style-name.
`OdfName` | `getOdfName()` Get the element name
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`void` | `init(OdfId xmlid)` Initialization of the mandatory attributes of `OdfMetaFieldElement`
`void` | `setDataStyleName(OdfStyleNameRef dataStyleName)` Set value of attribute style:data-style-name.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfMetaFieldElement

    public OdfMetaFieldElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfMetaFieldElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element text:meta-field.

### init

    public void init(OdfId xmlid)

  Initialization of the mandatory attributes of `OdfMetaFieldElement`

  Parameters:
    `xmlid` - The mandatory attribute xml:xmlid"

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### getDataStyleName

    public String getDataStyleName()

  Get value of attribute style:data-style-name.

  Returns:
    return the attribute which type is String

### setDataStyleName

    public void setDataStyleName(OdfStyleNameRef dataStyleName)

  Set value of attribute style:data-style-name.

  Parameters:
    `dataStyleName` - the attribute's type is OdfStyleNameRef

### createSpaceElement

    public OdfSpaceElement createSpaceElement()

  Create child element text:s.

  Returns:
    return the element text:s

### createTabElement

    public OdfTabElement createTabElement()

  Create child element text:tab.

  Returns:
    return the element text:tab

### createLineBreakElement

    public OdfLineBreakElement createLineBreakElement()

  Create child element text:line-break.

  Returns:
    return the element text:line-break

### createSoftPageBreakElement

    public OdfSoftPageBreakElement createSoftPageBreakElement()

  Create child element text:soft-page-break.

  Returns:
    return the element text:soft-page-break

### createSpanElement

    public OdfSpanElement createSpanElement()

  Create child element text:span.

  Returns:
    return the element text:span

### createtextHyperlinkElement

    public OdfHyperlinkElement createtextHyperlinkElement(OdfAnyURI href)

  Create child element text:a.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element text:a

### createMetaElement

    public OdfMetaElement createMetaElement()

  Create child element text:meta.

  Returns:
    return the element text:meta

### createBookmarkElement

    public OdfBookmarkElement createBookmarkElement(String name)

  Create child element text:bookmark.

  Parameters:
    `name` - String
  Returns:
    return the element text:bookmark

### createBookmarkStartElement

    public OdfBookmarkStartElement createBookmarkStartElement(String name)

  Create child element text:bookmark-start.

  Parameters:
    `name` - String
  Returns:
    return the element text:bookmark-start

### createBookmarkEndElement

    public OdfBookmarkEndElement createBookmarkEndElement(String name)

  Create child element text:bookmark-end.

  Parameters:
    `name` - String
  Returns:
    return the element text:bookmark-end

### createReferenceMarkElement

    public OdfReferenceMarkElement createReferenceMarkElement(String name)

  Create child element text:reference-mark.

  Parameters:
    `name` - String
  Returns:
    return the element text:reference-mark

### createNoteElement

    public OdfNoteElement createNoteElement(OdfNoteClassType noteClass)

  Create child element text:note.

  Parameters:
    `noteClass` - the attribute's type is OdfNoteClassType, see text:note-class at specification
  Returns:
    return the element text:note

### createRubyElement

    public OdfRubyElement createRubyElement()

  Create child element text:ruby.

  Returns:
    return the element text:ruby

### createAnnotationElement

    public OdfAnnotationElement createAnnotationElement()

  Create child element office:annotation.

  Returns:
    return the element office:annotation

### createAnnotationEndElement

    public OdfAnnotationEndElement createAnnotationEndElement(String name)

  Create child element office:annotation-end.

  Parameters:
    `name` - String
  Returns:
    return the element office:annotation-end

### createRectElement

    public OdfRectElement createRectElement()

  Create child element draw:rect.

  Returns:
    return the element draw:rect

### createLineElement

    public OdfLineElement createLineElement(OdfLength x1,
                                            OdfLength y1,
                                            OdfLength x2,
                                            OdfLength y2)

  Create child element draw:line.

  Parameters:
    `x1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y1` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `x2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y2` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
  Returns:
    return the element draw:line

### createPolylineElement

    public OdfPolylineElement createPolylineElement(String points,
                                                    Integer viewBox)

  Create child element draw:polyline.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polyline

### createPolygonElement

    public OdfPolygonElement createPolygonElement(String points,
                                                  Integer viewBox)

  Create child element draw:polygon.

  Parameters:
    `points` - String
    `viewBox` - Integer
  Returns:
    return the element draw:polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfPositiveInteger corners,
                                                                OdfBoolean concave)

  Create child element draw:regular-polygon.

  Parameters:
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
    `concave` - the attribute's type is Boolean
  Returns:
    return the element draw:regular-polygon

### createRegularPolygonElement

    public OdfRegularPolygonElement createRegularPolygonElement(OdfBoolean concave,
                                                                OdfPositiveInteger corners)

  Create child element draw:regular-polygon.

  Parameters:
    `concave` - the attribute's type is Boolean
    `corners` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfPositiveInteger
  Returns:
    return the element draw:regular-polygon

### createPathElement

    public OdfPathElement createPathElement(String d,
                                            Integer viewBox)

  Create child element draw:path.

  Parameters:
    `d` - String
    `viewBox` - Integer
  Returns:
    return the element draw:path

### createCircleElement

    public OdfCircleElement createCircleElement()

  Create child element draw:circle.

  Returns:
    return the element draw:circle

### createEllipseElement

    public OdfEllipseElement createEllipseElement()

  Create child element draw:ellipse.

  Returns:
    return the element draw:ellipse

### createGroupElement

    public OdfGroupElement createGroupElement()

  Create child element draw:g.

  Returns:
    return the element draw:g

### createPageThumbnailElement

    public OdfPageThumbnailElement createPageThumbnailElement()

  Create child element draw:page-thumbnail.

  Returns:
    return the element draw:page-thumbnail

### createFrameElement

    public OdfFrameElement createFrameElement()

  Create child element draw:frame.

  Returns:
    return the element draw:frame

### createdrawMeasureElement

    public OdfMeasureElement createdrawMeasureElement(OdfLength x1,
                                                      OdfLength y1,
                                                      OdfLength x2,
                                                      OdfLength y2)

  Create child element draw:measure.

  Parameters:
    `x1` - the attribute's type is String
    `y1` - the attribute's type is String
    `x2` - the attribute's type is String
    `y2` - the attribute's type is String
  Returns:
    return the element draw:measure

### createCaptionElement

    public OdfCaptionElement createCaptionElement()

  Create child element draw:caption.

  Returns:
    return the element draw:caption

### createConnectorElement

    public OdfConnectorElement createConnectorElement(Integer viewBox)

  Create child element draw:connector.

  Parameters:
    `viewBox` - Integer
  Returns:
    return the element draw:connector

### createControlElement

    public OdfControlElement createControlElement(OdfId control)

  Create child element draw:control.

  Parameters:
    `control` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfId
  Returns:
    return the element draw:control

### createSceneElement

    public OdfSceneElement createSceneElement()

  Create child element dr3d:scene.

  Returns:
    return the element dr3d:scene

### createCustomShapeElement

    public OdfCustomShapeElement createCustomShapeElement()

  Create child element draw:custom-shape.

  Returns:
    return the element draw:custom-shape

### createdrawHyperlinkElement

    public OdfHyperlinkElement createdrawHyperlinkElement(OdfAnyURI href)

  Create child element draw:a.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element draw:a

### createDateElement

    public OdfDateElement createDateElement()

  Create child element text:date.

  Returns:
    return the element text:date

### createTimeElement

    public OdfTimeElement createTimeElement()

  Create child element text:time.

  Returns:
    return the element text:time

### createPageNumberElement

    public OdfPageNumberElement createPageNumberElement()

  Create child element text:page-number.

  Returns:
    return the element text:page-number

### createPageContinuationElement

    public OdfPageContinuationElement createPageContinuationElement(OdfPageContiuationSelectType selectPage)

  Create child element text:page-continuation.

  Parameters:
    `selectPage` - the attribute's type is OdfPageContiuationSelectType, see text:page-contiuation-select at specification
  Returns:
    return the element text:page-continuation

### createSenderFirstnameElement

    public OdfSenderFirstnameElement createSenderFirstnameElement()

  Create child element text:sender-firstname.

  Returns:
    return the element text:sender-firstname

### createSenderLastnameElement

    public OdfSenderLastnameElement createSenderLastnameElement()

  Create child element text:sender-lastname.

  Returns:
    return the element text:sender-lastname

### createSenderInitialsElement

    public OdfSenderInitialsElement createSenderInitialsElement()

  Create child element text:sender-initials.

  Returns:
    return the element text:sender-initials

### createSenderTitleElement

    public OdfSenderTitleElement createSenderTitleElement()

  Create child element text:sender-title.

  Returns:
    return the element text:sender-title

### createSenderPositionElement

    public OdfSenderPositionElement createSenderPositionElement()

  Create child element text:sender-position.

  Returns:
    return the element text:sender-position

### createSenderEmailElement

    public OdfSenderEmailElement createSenderEmailElement()

  Create child element text:sender-email.

  Returns:
    return the element text:sender-email

### createSenderPhonePrivateElement

    public OdfSenderPhonePrivateElement createSenderPhonePrivateElement()

  Create child element text:sender-phone-private.

  Returns:
    return the element text:sender-phone-private

### createSenderFaxElement

    public OdfSenderFaxElement createSenderFaxElement()

  Create child element text:sender-fax.

  Returns:
    return the element text:sender-fax

### createSenderCompanyElement

    public OdfSenderCompanyElement createSenderCompanyElement()

  Create child element text:sender-company.

  Returns:
    return the element text:sender-company

### createSenderPhoneWorkElement

    public OdfSenderPhoneWorkElement createSenderPhoneWorkElement()

  Create child element text:sender-phone-work.

  Returns:
    return the element text:sender-phone-work

### createSenderStreetElement

    public OdfSenderStreetElement createSenderStreetElement()

  Create child element text:sender-street.

  Returns:
    return the element text:sender-street

### createSenderCityElement

    public OdfSenderCityElement createSenderCityElement()

  Create child element text:sender-city.

  Returns:
    return the element text:sender-city

### createSenderPostalCodeElement

    public OdfSenderPostalCodeElement createSenderPostalCodeElement()

  Create child element text:sender-postal-code.

  Returns:
    return the element text:sender-postal-code

### createSenderCountryElement

    public OdfSenderCountryElement createSenderCountryElement()

  Create child element text:sender-country.

  Returns:
    return the element text:sender-country

### createSenderStateOrProvinceElement

    public OdfSenderStateOrProvinceElement createSenderStateOrProvinceElement()

  Create child element text:sender-state-or-province.

  Returns:
    return the element text:sender-state-or-province

### createAuthorNameElement

    public OdfAuthorNameElement createAuthorNameElement()

  Create child element text:author-name.

  Returns:
    return the element text:author-name

### createAuthorInitialsElement

    public OdfAuthorInitialsElement createAuthorInitialsElement()

  Create child element text:author-initials.

  Returns:
    return the element text:author-initials

### createChapterElement

    public OdfChapterElement createChapterElement(OdfChapterDisplayType display,
                                                  OdfNonNegativeInteger outlineLevel)

  Create child element text:chapter.

  Parameters:
    `display` - the attribute's type is OdfChapterDisplayType, see text:chapter-display at specification
    `outlineLevel` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfNonNegativeInteger
  Returns:
    return the element text:chapter

### createFileNameElement

    public OdfFileNameElement createFileNameElement()

  Create child element text:file-name.

  Returns:
    return the element text:file-name

### createTemplateNameElement

    public OdfTemplateNameElement createTemplateNameElement()

  Create child element text:template-name.

  Returns:
    return the element text:template-name

### createSheetNameElement

    public OdfSheetNameElement createSheetNameElement()

  Create child element text:sheet-name.

  Returns:
    return the element text:sheet-name

### createVariableSetElement

    public OdfVariableSetElement createVariableSetElement(OdfValueType valueType,
                                                          Double value,
                                                          String name)

  Create child element text:variable-set.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `value` - Double
    `name` - String
  Returns:
    return the element text:variable-set

### createVariableSetElement

    public OdfVariableSetElement createVariableSetElement(OdfValueType valueType,
                                                          OdfDate dateValue,
                                                          String name)

  Create child element text:variable-set.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `dateValue` - the attribute's type is XMLGregorianCalendar
    `name` - String
  Returns:
    return the element text:variable-set

### createVariableSetElement

    public OdfVariableSetElement createVariableSetElement(OdfValueType valueType,
                                                          OdfDuration timeValue,
                                                          String name)

  Create child element text:variable-set.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `timeValue` - the attribute's type is Duration
    `name` - String
  Returns:
    return the element text:variable-set

### createVariableSetElement

    public OdfVariableSetElement createVariableSetElement(OdfValueType valueType,
                                                          OdfBoolean booleanValue,
                                                          String name)

  Create child element text:variable-set.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `booleanValue` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfBoolean
    `name` - String
  Returns:
    return the element text:variable-set

### createVariableSetElement

    public OdfVariableSetElement createVariableSetElement(OdfValueType valueType,
                                                          String name)

  Create child element text:variable-set.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
    `name` - String
  Returns:
    return the element text:variable-set

### createVariableGetElement

    public OdfVariableGetElement createVariableGetElement(String name)

  Create child element text:variable-get.

  Parameters:
    `name` - String
  Returns:
    return the element text:variable-get

### createVariableInputElement

    public OdfVariableInputElement createVariableInputElement(String name,
                                                              OdfValueType valueType)

  Create child element text:variable-input.

  Parameters:
    `name` - String
    `valueType` - the attribute's type is OdfValueType, see office:value at specification
  Returns:
    return the element text:variable-input

### createUserFieldGetElement

    public OdfUserFieldGetElement createUserFieldGetElement(String name)

  Create child element text:user-field-get.

  Parameters:
    `name` - String
  Returns:
    return the element text:user-field-get

### createUserFieldInputElement

    public OdfUserFieldInputElement createUserFieldInputElement(String name)

  Create child element text:user-field-input.

  Parameters:
    `name` - String
  Returns:
    return the element text:user-field-input

### createSequenceElement

    public OdfSequenceElement createSequenceElement(String name)

  Create child element text:sequence.

  Parameters:
    `name` - String
  Returns:
    return the element text:sequence

### createExpressionElement

    public OdfExpressionElement createExpressionElement()

  Create child element text:expression.

  Returns:
    return the element text:expression

### createTextInputElement

    public OdfTextInputElement createTextInputElement()

  Create child element text:text-input.

  Returns:
    return the element text:text-input

### createInitialCreatorElement

    public OdfInitialCreatorElement createInitialCreatorElement()

  Create child element text:initial-creator.

  Returns:
    return the element text:initial-creator

### createCreationDateElement

    public OdfCreationDateElement createCreationDateElement()

  Create child element text:creation-date.

  Returns:
    return the element text:creation-date

### createCreationTimeElement

    public OdfCreationTimeElement createCreationTimeElement()

  Create child element text:creation-time.

  Returns:
    return the element text:creation-time

### createDescriptionElement

    public OdfDescriptionElement createDescriptionElement()

  Create child element text:description.

  Returns:
    return the element text:description

### createUserDefinedElement

    public OdfUserDefinedElement createUserDefinedElement()

  Create child element text:user-defined.

  Returns:
    return the element text:user-defined

### createPrintTimeElement

    public OdfPrintTimeElement createPrintTimeElement()

  Create child element text:print-time.

  Returns:
    return the element text:print-time

### createPrintDateElement

    public OdfPrintDateElement createPrintDateElement()

  Create child element text:print-date.

  Returns:
    return the element text:print-date

### createPrintedByElement

    public OdfPrintedByElement createPrintedByElement()

  Create child element text:printed-by.

  Returns:
    return the element text:printed-by

### createTitleElement

    public OdfTitleElement createTitleElement()

  Create child element text:title.

  Returns:
    return the element text:title

### createSubjectElement

    public OdfSubjectElement createSubjectElement()

  Create child element text:subject.

  Returns:
    return the element text:subject

### createKeywordsElement

    public OdfKeywordsElement createKeywordsElement()

  Create child element text:keywords.

  Returns:
    return the element text:keywords

### createEditingCyclesElement

    public OdfEditingCyclesElement createEditingCyclesElement()

  Create child element text:editing-cycles.

  Returns:
    return the element text:editing-cycles

### createEditingDurationElement

    public OdfEditingDurationElement createEditingDurationElement()

  Create child element text:editing-duration.

  Returns:
    return the element text:editing-duration

### createModificationTimeElement

    public OdfModificationTimeElement createModificationTimeElement()

  Create child element text:modification-time.

  Returns:
    return the element text:modification-time

### createModificationDateElement

    public OdfModificationDateElement createModificationDateElement()

  Create child element text:modification-date.

  Returns:
    return the element text:modification-date

### createCreatorElement

    public OdfCreatorElement createCreatorElement()

  Create child element text:creator.

  Returns:
    return the element text:creator

### createDatabaseDisplayElement

    public OdfDatabaseDisplayElement createDatabaseDisplayElement(String tableName,
                                                                  String columnName)

  Create child element text:database-display.

  Parameters:
    `tableName` - String
    `columnName` - String
  Returns:
    return the element text:database-display

### createDatabaseNextElement

    public OdfDatabaseNextElement createDatabaseNextElement(String tableName)

  Create child element text:database-next.

  Parameters:
    `tableName` - String
  Returns:
    return the element text:database-next

### createDatabaseRowSelectElement

    public OdfDatabaseRowSelectElement createDatabaseRowSelectElement(String tableName)

  Create child element text:database-row-select.

  Parameters:
    `tableName` - String
  Returns:
    return the element text:database-row-select

### createDatabaseRowNumberElement

    public OdfDatabaseRowNumberElement createDatabaseRowNumberElement(String tableName)

  Create child element text:database-row-number.

  Parameters:
    `tableName` - String
  Returns:
    return the element text:database-row-number

### createDatabaseNameElement

    public OdfDatabaseNameElement createDatabaseNameElement(String tableName)

  Create child element text:database-name.

  Parameters:
    `tableName` - String
  Returns:
    return the element text:database-name

### createPageVariableSetElement

    public OdfPageVariableSetElement createPageVariableSetElement()

  Create child element text:page-variable-set.

  Returns:
    return the element text:page-variable-set

### createPageVariableGetElement

    public OdfPageVariableGetElement createPageVariableGetElement()

  Create child element text:page-variable-get.

  Returns:
    return the element text:page-variable-get

### createPlaceholderElement

    public OdfPlaceholderElement createPlaceholderElement(OdfPlaceholderType placeholderType)

  Create child element text:placeholder.

  Parameters:
    `placeholderType` - the attribute's type is OdfPlaceholderType, see text:placeholder-type at specification
  Returns:
    return the element text:placeholder

### createConditionalTextElement

    public OdfConditionalTextElement createConditionalTextElement(String condition,
                                                                  String stringValueIfTrue,
                                                                  String stringValueIfFalse)

  Create child element text:conditional-text.

  Parameters:
    `condition` - String
    `stringValueIfTrue` - String
    `stringValueIfFalse` - String
  Returns:
    return the element text:conditional-text

### createHiddenTextElement

    public OdfHiddenTextElement createHiddenTextElement(String condition,
                                                        String stringValue)

  Create child element text:hidden-text.

  Parameters:
    `condition` - String
    `stringValue` - String
  Returns:
    return the element text:hidden-text

### createNoteRefElement

    public OdfNoteRefElement createNoteRefElement(OdfNoteClassType noteClass)

  Create child element text:note-ref.

  Parameters:
    `noteClass` - the attribute's type is OdfNoteClassType, see text:note-class at specification
  Returns:
    return the element text:note-ref

### createSequenceRefElement

    public OdfSequenceRefElement createSequenceRefElement()

  Create child element text:sequence-ref.

  Returns:
    return the element text:sequence-ref

### createScriptElement

    public OdfScriptElement createScriptElement()

  Create child element text:script.

  Returns:
    return the element text:script

### createExecuteMacroElement

    public OdfExecuteMacroElement createExecuteMacroElement()

  Create child element text:execute-macro.

  Returns:
    return the element text:execute-macro

### createHiddenParagraphElement

    public OdfHiddenParagraphElement createHiddenParagraphElement(String condition)

  Create child element text:hidden-paragraph.

  Parameters:
    `condition` - String
  Returns:
    return the element text:hidden-paragraph

### createDdeConnectionElement

    public OdfDdeConnectionElement createDdeConnectionElement(String connectionName)

  Create child element text:dde-connection.

  Parameters:
    `connectionName` - String
  Returns:
    return the element text:dde-connection

### createtextMeasureElement

    public OdfMeasureElement createtextMeasureElement(OdfKindType kind)

  Create child element text:measure.

  Parameters:
    `kind` - the attribute's type is OdfKindType, see text:kind at specification
  Returns:
    return the element text:measure

### createTableFormulaElement

    public OdfTableFormulaElement createTableFormulaElement()

  Create child element text:table-formula.

  Returns:
    return the element text:table-formula

### createMetaFieldElement

    public OdfMetaFieldElement createMetaFieldElement(OdfId xmlid)

  Create child element text:meta-field.

  Parameters:
    `xmlid` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfId
  Returns:
    return the element text:meta-field

### createTocMarkStartElement

    public OdfTocMarkStartElement createTocMarkStartElement(String id)

  Create child element text:toc-mark-start.

  Parameters:
    `id` - String
  Returns:
    return the element text:toc-mark-start

### createTocMarkEndElement

    public OdfTocMarkEndElement createTocMarkEndElement(String id)

  Create child element text:toc-mark-end.

  Parameters:
    `id` - String
  Returns:
    return the element text:toc-mark-end

### createTocMarkElement

    public OdfTocMarkElement createTocMarkElement(String stringValue)

  Create child element text:toc-mark.

  Parameters:
    `stringValue` - String
  Returns:
    return the element text:toc-mark

### createUserIndexMarkStartElement

    public OdfUserIndexMarkStartElement createUserIndexMarkStartElement(String id,
                                                                        String indexName)

  Create child element text:user-index-mark-start.

  Parameters:
    `id` - String
    `indexName` - String
  Returns:
    return the element text:user-index-mark-start

### createUserIndexMarkEndElement

    public OdfUserIndexMarkEndElement createUserIndexMarkEndElement(String id)

  Create child element text:user-index-mark-end.

  Parameters:
    `id` - String
  Returns:
    return the element text:user-index-mark-end

### createUserIndexMarkElement

    public OdfUserIndexMarkElement createUserIndexMarkElement(String stringValue,
                                                              String indexName)

  Create child element text:user-index-mark.

  Parameters:
    `stringValue` - String
    `indexName` - String
  Returns:
    return the element text:user-index-mark

### createAlphabeticalIndexMarkStartElement

    public OdfAlphabeticalIndexMarkStartElement createAlphabeticalIndexMarkStartElement(String id)

  Create child element text:alphabetical-index-mark-start.

  Parameters:
    `id` - String
  Returns:
    return the element text:alphabetical-index-mark-start

### createAlphabeticalIndexMarkEndElement

    public OdfAlphabeticalIndexMarkEndElement createAlphabeticalIndexMarkEndElement(String id)

  Create child element text:alphabetical-index-mark-end.

  Parameters:
    `id` - String
  Returns:
    return the element text:alphabetical-index-mark-end

### createAlphabeticalIndexMarkElement

    public OdfAlphabeticalIndexMarkElement createAlphabeticalIndexMarkElement(String stringValue)

  Create child element text:alphabetical-index-mark.

  Parameters:
    `stringValue` - String
  Returns:
    return the element text:alphabetical-index-mark

### createBibliographyMarkElement

    public OdfBibliographyMarkElement createBibliographyMarkElement(OdfBibliographyType bibliographyType)

  Create child element text:bibliography-mark.

  Parameters:
    `bibliographyType` - the attribute's type is OdfBibliographyType, see text:bibliography-type at specification
  Returns:
    return the element text:bibliography-mark

### createHeaderElement

    public OdfHeaderElement createHeaderElement()

  Create child element presentation:header.

  Returns:
    return the element presentation:header

### createFooterElement

    public OdfFooterElement createFooterElement()

  Create child element presentation:footer.

  Returns:
    return the element presentation:footer

### createDateTimeElement

    public OdfDateTimeElement createDateTimeElement()

  Create child element presentation:date-time.

  Returns:
    return the element presentation:date-time

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.